# Contributing

When contributing to this repository, please first discuss the change you wish to make via issue,
email, or any other method with the owners of this repository before making a change.

Please note we have a [code of conduct](CODE_OF_CONDUCT.md), please follow it in all your interactions with the project.


## Commit Message Convention

This project uses commit lint to force conventional commit messages. Please use `npm run commit` to commit your code, ensuring when prompted to use an [allowed change type](https://gist.github.com/stephenparish/9941e89d80e2bc58a153#allowed-type).


## Pull Request Process

1. Ensure that any new or altered code is covered by unit tests.

2. Update the README.md with details of changes to the interface, this includes new environment 
   variables, exposed ports, useful file locations and container parameters.
